<?php
// Register action to declare required plugins
add_action('tgmpa_register', 'themesflat_recommend_plugin');
function themesflat_recommend_plugin() {
    
    $plugins = array(
        array(
            'name' => esc_html__('Elementor', 'zev'),
            'slug' => 'elementor',
            'required' => true
        ),
        array(
            'name' => esc_html__('ThemesFlat', 'zev'),
            'slug' => 'themesflat',
            'source' => THEMESFLAT_DIR . 'inc/plugins/themesflat.zip',
            'required' => true
        ),
        array(
            'name' => esc_html__('Themesflat Elementor', 'zev'),
            'slug' => 'themesflat-elementor',
            'source' => THEMESFLAT_DIR . 'inc/plugins/themesflat-elementor.zip',
            'required' => true
        ), 
        array(
            'name' => esc_html__('MetForm', 'zev'),
            'slug' => 'metform',
            'required' => false
        ),  
        array(
            'name' => esc_html__('Mailchimp', 'zev'),
            'slug' => 'mailchimp-for-wp',
            'required' => false
        ),
        array(
            'name' => esc_html__('One Click Demo Import', 'zev'),
            'slug' => 'one-click-demo-import',
            'required' => false
        )   
    );
    
    tgmpa($plugins);
}

